<br><br>

<h1 align = "center">photon</h1>

<p align = "center">A gameplay-focused shader pack for Minecraft</p>

![Screenshot](docs/images/a.png)

## downloads

* [Latest commit](https://github.com/sixthsurge/photon/archive/refs/heads/main.zip)

## acknowledgments

* [Emin](https://github.com/EminGT) - Shadow bias method from [Complementary R5](https://www.complementary.dev/shaders/) (fully fixes peter panning and light leaking underground!)
* [DrDesten](https://github.com/DrDesten) - Depth tolerance calculation for SSR (helps to prevent false reflections)
* [Jessie](https://github.com/Jessie-LC) - f0 and f82 values for labPBR hardcoded metals
* [Sledgehammer Games](https://www.sledgehammergames.com/) - Bloom downsampling method used in Call of Duty Advanced Warfare (described [here](http://www.iryoku.com/next-generation-post-processing-in-call-of-duty-advanced-warfare))
* http://momentsingraphics.de/ - Blue noise texture

## features
* Custom shading with variable penumbra shadows and ambient occlusion
* [Colored lighting](https://cdn.discordapp.com/attachments/736930818835873813/1123586429902135338/2023-06-28_13.02.33.png?ex=65f197e8&is=65df22e8&hm=c7871d2d3a5af5f6c84d98ad9997e4f4e1cfff40d3d9539b03e471abf48f677c&) using flood-fill algorithm (enabled with Ultra profile, requires Iris)
* Custom sky with multiple volumetric cloud layers and different weather each day
* Camera effects - bloom, depth-of-field, motion-blur
* Full labPBR resource pack support
* Revamped water
* Screen-space reflections
* Volumetric lighting
* Much improved image quality thanks to TAA, FXAA and CAS
* Advanced temporal upscaling (disabled by default) for low end devices

## showcase videos

<div align = "center">
	<a href="http://www.youtube.com/watch?feature=player_embedded&v=vxE_CVeU8Rs" target="_blank"><img src="http://img.youtube.com/vi/vxE_CVeU8Rs/0.jpg" border="0"/></a>
	<p> by iambeen
	<br><br>
</div>

<div align = "center">
	<a href="http://www.youtube.com/watch?feature=player_embedded&v=gMLFZMBK-ZQ" target="_blank"><img src="http://img.youtube.com/vi/gMLFZMBK-ZQ/0.jpg" border="0"/></a>
	<p> by CosmicNexus
	<br><br>
</div>

<div align = "center">
	<a href="http://www.youtube.com/watch?feature=player_embedded&v=_aSmM7jg9Nw" target="_blank"><img src="http://img.youtube.com/vi/_aSmM7jg9Nw/0.jpg" border="0"/></a>
	<p> by VIPUL
	<br><br>
</div>

## community

Want to discuss the shaderpack or ask questions? Head over to our discord channel `#photon` in the [ShaderLABS Discord](https://discord.gg/RpzWN9S).
